﻿using System;
using System.Diagnostics;


namespace SpaceInvaders
{
    public abstract class Walls : Leaf
    {
        //-------------------------------------------------------------------
        //  FIELDS
        //-------------------------------------------------------------------

        public enum WallType
        {
            WallGroup,

            Left_Bumper,
            Right_Bumper,

            Left,
            Right,
            Top,
            Bottom,

            Uninitialized
        }

        protected Walls.WallType wallType;


        //-------------------------------------------------------------------
        //  CLASS METHODS
        //-------------------------------------------------------------------

        public Walls(GameObject.ObjectName objName, Sprite.SpriteName spriteName, float x, float y, WallType type)
            : base(objName, spriteName, x, y)
        {
            this.wallType = type;
        }

        public Walls.WallType GetWallType()
        {
            return this.wallType;
        }


    } // end class

} // end namespace
